> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get app list

> get app list



## OpenAPI

````yaml post /open/api/app/list
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/app/list:
    post:
      tags: []
      summary: Get app list
      description: get app list
      parameters:
        - name: pageSize
          in: query
          description: >-
            Number of records displayed per page

            The default is1,and the maximum number of items in a single query
            is:1
          required: false
          schema:
            type: integer
        - name: pageNum
          in: query
          description: Current page count
          required: false
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PhoneAppListReqVO'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TableDataInfoAppListV2ResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    PhoneAppListReqVO:
      type: object
      properties:
        pageSize:
          type: integer
          description: >-
            Number of records displayed per page

            The default is1,and the maximum number of items in a single query
            is:1
        pageNum:
          type: integer
          description: Current page count
        id:
          type: integer
          description: Phone ID,obtain through `Get phone list` api
          format: int64
        apkName:
          type: string
          description: Application name
          pattern: ^[^%]*$
        onlyShowInstalled:
          type: boolean
          description: 'Only show installed applications(default: false)'
          default: false
        cateCode:
          type: integer
          description: Application category code,obtain through `Get app category list` api
          format: int64
          default: -1
        shelfStatus:
          type: integer
          description: 'Shelf status: 1=On shelf, 0=Off shelf'
    TableDataInfoAppListV2ResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Link ID
        total:
          type: integer
          description: Total number of records
          format: int64
        rows:
          type: array
          items:
            $ref: '#/components/schemas/AppListV2ResVO'
            description: AppListV2ResVO
          description: list data
        code:
          type: integer
          description: Message status code
        msg:
          type: string
          description: message content
    AppListV2ResVO:
      type: object
      properties:
        id:
          type: integer
          description: apkId
          format: int64
        apkName:
          type: string
          description: APK name
        apkPkg:
          type: string
          description: APK package name
        apkIconUrl:
          type: string
          description: APK icon URL
        installStatus:
          type: integer
          description: >-
            Installation status: -1=Not installed, 0=Installing, 1=Success,
            2=Failed。defaultValue -1
          default: -1
        cateCode:
          type: integer
          description: Category code (-1 means uncategorized) defaultValue -1
          default: -1
        weight:
          type: integer
          description: Weight (higher values appear first) defaultValue 0
          default: 0
        needUpdate:
          type: boolean
          description: Whether update is needed defaultValue false
          default: false
        appVersionList:
          type: array
          items:
            $ref: '#/components/schemas/AppVersionListV2ResVO'
            description: AppVersionListV2ResVO
          description: List of app versions
        shelfStatus:
          type: integer
          description: 'Shelf status: 1=On shelf, 0=Off shelf'
        autoInstall:
          type: boolean
          description: auto install flag
    AppVersionListV2ResVO:
      type: object
      properties:
        id:
          type: integer
          description: Application Version ID
          format: int64
        apkVersionName:
          type: string
          description: APK version name
        apkVersionCode:
          type: integer
          description: APK version code
        installStatus:
          type: integer
          description: >-
            Installation status: -1=Not installed, 0=Installing, 1=Successfully
            installed, 2=Installation failed
          default: -1
        size:
          type: integer
          description: file size（byte）
        shelfStatus:
          type: integer
          description: 'Listing status: 1=listed, 0=removed'
          default: 0
        md5:
          type: string
          description: file md5
        autoInstallFlag:
          type: integer
          description: 0=close 1=open 2=ban

````